import { useState } from 'react';
import { useViewportType } from '../../../../useViewportType';
export const useMobileLogic = () => {
    const { isMobile } = useViewportType();
    const [isDrawerOpen, setIsDrawerOpen] = useState(false);
    const handleOpenDrawer = () => {
        if (isMobile) {
            setIsDrawerOpen(true);
        }
    };
    const handleCloseDrawer = () => {
        setIsDrawerOpen(false);
    };
    return { isDrawerOpen, handleOpenDrawer, handleCloseDrawer };
};
